## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate rusttype

Name:           rust-rusttype
Version:        0.9.3
Release:        %autorelease
Summary:        Pure Rust alternative to libraries like FreeType

# Upstream license specification: MIT / Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/rusttype
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump owned_ttf_parser to 0.18
Patch:          rusttype-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A pure Rust alternative to libraries like FreeType. RustType provides an
API for loading, querying and rasterising TrueType fonts. It also
provides an implementation of a dynamic GPU glyph cache for hardware
font rendering.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-deque-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-deque-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam-deque" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-deque-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-utils-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-utils-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam-utils" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-utils-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gpu_cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gpu_cache-devel %{_description}

This package contains library source intended for building other packages which
use the "gpu_cache" feature of the "%{crate}" crate.

%files       -n %{name}+gpu_cache-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+has-atomics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+has-atomics-devel %{_description}

This package contains library source intended for building other packages which
use the "has-atomics" feature of the "%{crate}" crate.

%files       -n %{name}+has-atomics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-devel %{_description}

This package contains library source intended for building other packages which
use the "libm" feature of the "%{crate}" crate.

%files       -n %{name}+libm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libm-math-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-math-devel %{_description}

This package contains library source intended for building other packages which
use the "libm-math" feature of the "%{crate}" crate.

%files       -n %{name}+libm-math-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+linked-hash-map-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+linked-hash-map-devel %{_description}

This package contains library source intended for building other packages which
use the "linked-hash-map" feature of the "%{crate}" crate.

%files       -n %{name}+linked-hash-map-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num_cpus-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num_cpus-devel %{_description}

This package contains library source intended for building other packages which
use the "num_cpus" feature of the "%{crate}" crate.

%files       -n %{name}+num_cpus-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc-hash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-hash-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc-hash" feature of the "%{crate}" crate.

%files       -n %{name}+rustc-hash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# files required for doc tests are not shipped with the crate
%cargo_test -- --lib
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jul 25 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3; Fixes: RHBZ#2224848

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-3
- Port to latest versions of dependencies.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Oct 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-1
- Initial package

## END: Generated by rpmautospec
